/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corporation 2017. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package net.jazz.rtcext.scm.extensions.common;

public interface IScmExtensionsConstants {

	/**
	 * This is the Example SCM Extensions component id as defined in the
	 * plugin.xml file.
	 */
	public static String COMPONENT_ID = "net.jazz.rtcext.scm.extensions";
	
	/**
	 * The key for the build ID custom attribute.
	 */
	public static  String BUILD_DEFINITION_ID_ATTRIBUTE = "net.jazz.rtcext.scm.extensions.buildId";
	
	/**
	 * The key for the file name pattern custom attribute.
	 * 
	 * An example value for matching C related files would be ".*\\.(c|h|cpp)"
	 */
	public static  String FILE_NAME_PATTERN_ATTRIBUTE = "net.jazz.rtcext.scm.extensions.fileNamePattern";
	
	/**
	 * The key for the file path custom attribute.
	 */
	public static  String FILE_PATH_PATTERN_ATTRIBUTE = "net.jazz.rtcext.scm.extensions.filePathPattern";
	
	/**
	 * The key for the change type custom attribute. The support values are:
	 * <ul>
	 * <li>ADD</li>
	 * <li>A combination or ADD, DELETE, MODIFY or MOVE</li>
	 * </ul>
	 */
	public static String CHANGE_TYPE_ATTRIBUTE = "net.jazz.rtcext.scm.extensions.commitChangeType";
	
	
	public static String BUILD_WHEN_CHANGED_ATTRIBUTE = "net.jazz.rtcext.scm.extensions.buildWhenChanged";

}
